package utils;

import java.io.InputStream;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Properties;

import javax.sql.DataSource;

import com.mchange.v2.c3p0.ComboPooledDataSource;

public class JdbcPoolUtil {
	private static ComboPooledDataSource cpds;
	
	static{
		
		cpds = new ComboPooledDataSource();//默认读取classpath下的c3p0.properties文件
		/*Properties prop = new Properties();//另外一种读取配置文件的方法
		try {
			InputStream in = JdbcPoolUtil.class.getClassLoader().getResourceAsStream("jdbc.properties");
			prop.load(in);
			cpds.setDriverClass(prop.getProperty("jdbc.driverClass"));
			cpds.setJdbcUrl(prop.getProperty("jdbc.jdbcUrl"));
			cpds.setUser(prop.getProperty("jdbc.user"));
			cpds.setPassword(prop.getProperty("jdbc.password"));
			cpds.setInitialPoolSize(Integer.parseInt(prop.getProperty("jdbc.initialPoolSize")));
			cpds.setMaxPoolSize(Integer.parseInt(prop.getProperty("jdbc.maxPoolSize")));
		} catch (Exception e) {
			throw new ExceptionInInitializerError(e);
		} */
	}
	
	public static DataSource getDataSource() {
		return cpds;
	}
	
	public static Connection getConnection() throws SQLException{
		Connection conn = cpds.getConnection();
		return conn;
	}
	
	public static void closeAll(Connection conn, PreparedStatement pstmt,
			ResultSet rs) {
		/* 如果rs不空，关闭rs */
		if (rs != null) {
			try {
				rs.close();
                rs = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		/* 如果pstmt不空，关闭pstmt */
		if (pstmt != null) {
			try {
				pstmt.close();
                pstmt = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		/* 如果conn不空，关闭conn */
		if (conn != null) {
			try {
				conn.close();
                conn = null;
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}

}
